Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class GoogleMapDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.GoogleMapDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class GoogleMapDefinition
extends AbstractWidgetDefinition

The `WidgetDefinition` part of a GoogleMap widget, see `GoogleMap` for more information.

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`GoogleMapDefinition()`

Method Summary
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`GoogleMapValue` | `getInitialValue()`
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor
`void` | `setInitialValue(GoogleMapValue value)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoogleMapDefinition

    public GoogleMapDefinition()

Method Detail

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `AbstractWidgetDefinition`
  Throws:
    `Exception`

### setInitialValue

    public void setInitialValue(GoogleMapValue value)

### getInitialValue

    public GoogleMapValue getInitialValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.